Skip to navigation

Delete Allocation

View as Markdown

Delete an Allocation by ID.

Org must have an Infrastructure Provider entity, and the specified Allocation must have been created by that Provider. Requesting user must have PROVIDER_ADMIN role.

Tenant management of Allocation is not supported in MVP.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
allocationIdstringRequiredformat: "uuid"
ID of the Allocation

Response

Deletion request was accepted
messagestring

Human-readable outcome of the request

Errors

403
Forbidden Error